// #region Algemeen
//const IP = prompt('geef publiek IP', 'http://127.0.0.1:5000');
//const IP = window.location.hostname + ':5000';
const IP = '169.254.10.1:5000';
const socket = io.connect(IP);
count = 0;
let addButtonRood;

socket.on('connect', function() {
  socket.emit('connected', { message: "I'm connected!" });
  console.log('connected');
});

socket.on('nu', function(tijd) {
  socket.emit('tijd aangekregen');
  console.log(tijd);
  toonZonsopgangEnOndergang(tijd);
});

const rgbLedsRood = function() {
  const addButtonRood = document.querySelector('.rood');
  addButtonRood.addEventListener('click', function() {
    console.log('rood');
    socket.emit('rood');
  });
};

const rgbLedsGroen = function() {
  const addButtonGroen = document.querySelector('.groen');
  addButtonGroen.addEventListener('click', function() {
    console.log('groen');
    socket.emit('groen');
  });
  const addButtonBlauw = document.querySelector('.blauw');
  addButtonBlauw.addEventListener('click', function() {
    console.log('blauw');
    socket.emit('blauw');
  });
  const addButtonWit = document.querySelector('.wit');
  addButtonWit.addEventListener('click', function() {
    console.log('wit');
    socket.emit('wit');
  });
};

const toonCheckboxZon = function() {
  let potlood1 = document.querySelector('.potlood1');
  let potlood2 = document.querySelector('.potlood2');

  potlood1.style.display = 'block';
  potlood2.style.display = 'block';

  document.querySelector('#zon').addEventListener('change', function() {
    //socket.emit('Knop');

    if (this.checked) {
      console.log('zon changed on');
      potlood1.style.display = 'none';
      potlood2.style.display = 'none';
    } else {
      console.log('zon changed off');
      potlood1.style.display = 'block';
      potlood2.style.display = 'block';
    }
  });
};

const toonCheckboxKleur = function() {
  let weer_niet_volgen = document.querySelector('.weer_niet_volgen');
  let weer_volgen = document.querySelector('.weer_volgen');

  weer_niet_volgen.style.display = 'block';
  weer_volgen.style.display = 'none';

  document.querySelector('#kleur').addEventListener('change', function() {
    if (this.checked) {
      console.log('kleur changed on');
      weer_niet_volgen.style.display = 'none';
      weer_volgen.style.display = 'block';
      socket.emit('weer_volgen');
    } else {
      console.log('kleur changed off');
      weer_niet_volgen.style.display = 'block';
      weer_volgen.style.display = 'none';
      socket.emit('weer_volgen');
    }
  });
};

const toonZonsopgangEnOndergang = function(tijd) {
  html = `<h2 class='o-layout__item o-layout--justify-start u-1-of-6'>${tijd} 11:11</h2>`;
  document.querySelector('.uurRefresh').innerHTML = html;
};

const veranderUur = function() {
  let potlood1 = document.querySelector('.potlood1');
  let potlood2 = document.querySelector('.potlood2');
  potlood1.addEventListener('click', function() {
    console.log('uur opstaan veranderen');
  });
  potlood2.addEventListener('click', function() {
    console.log('uur slapen veranderen');
    //socket.emit('rood');
  });
};

document.addEventListener('DOMContentLoaded', function() {
  console.info('DOM geladen');
  toonCheckboxZon();
  toonCheckboxKleur();
  toonZonsopgangEnOndergang();
  rgbLedsRood();
  rgbLedsGroen();
  veranderUur();
});

// #endregion
